Name: tvtime
Version: 0.9.12
Release: alt1

Summary: A high quality TV application
License: GPL
Group: Video

Url: http://tvtime.net
Source: http://prdownloads.sourceforge.net/%name/%name-%version.tar.gz
Source1: %name.control
Source2: %name-README.ALT

Packager: Alexander Belov <asbel@altlinux.ru>

# Automatically added by buildreq on Fri Nov 14 2003
BuildRequires: XFree86-devel XFree86-libs esound-devel freetype2-devel gcc-g77 hostinfo libSDL-devel libalsa-devel libaudiofile-devel libpng-devel libxml2-devel zlib-devel

BuildRequires: liblirc-devel libstdc++-devel
BuildRequires: directfb-devel >= 0.9.17

Summary(ru_RU.KOI8-R):  
Summary(uk_UA.KOI8-U): ˦ 

%description
tvtime is a high quality television application for use with video capture
cards. tvtime processes the input from a capture card and displays it on a
computer monitor or projector.

%description -l ru_RU.KOI8-R
tvtime --        
    .

%description -l uk_UA.KOI8-U
tvtime --    ˦    
    ƦҦ.

%prep
%setup

%build
# ccache hack
case $CC in *ccache*) unset CC;; esac
%configure --disable-dependency-tracking 
%__make %_smp_mflags
%__cat << EOF > %name.menu
?package(%name): needs="x11" \
 section="Multimedia/Video" \
 title="TVtime Television Viewer" \
 longtitle="High quality television application" \
 command="%_bindir/%name" \
 icon="%name.png"
EOF

%install
%makeinstall
%__install -pD -m644 %name.menu %buildroot/%_menudir/%name
%__install -pD -m755 %SOURCE1 %buildroot%_sysconfdir/control.d/facilities/%name
%__install -pD -m755 %SOURCE2 README.ALT
# as make install does 48x48 to pixmaps/, override for 0.9.10
%__install -pD -m644 docs/tvtime.48x48.png %buildroot%_datadir/pixmaps/tvtime.png

%find_lang %name

%pre
[ $1 -eq 1 ] || /usr/sbin/control-dump %name

%post
if [ $1 -ge 2 ]; then
	/usr/sbin/control-restore %name
else
	/usr/sbin/control %name public
fi
%update_menus

%postun
%clean_menus

%files -f %name.lang
%doc AUTHORS ChangeLog NEWS README* data/COPYING.*
%doc docs/html/
%doc %_mandir/*/*
%dir %_sysconfdir/%name/
%config(noreplace) %_sysconfdir/%name/*
%config %_sysconfdir/control.d/facilities/%name
%_bindir/*
%_datadir/%name/
%_datadir/pixmaps/*
%_datadir/applications/*
%_iconsdir/*/*/*/*
%_menudir/%name

# TODO:
# - libdscaler to unsupported/
# - switch default control(8) mode to "audio"?
#   (not introducing one more world-runnable SUID binary
#   but won't work out-of-box)
# - ru.po (after 0.9.11 with fixed gettext)
# - s/control/consolehelper/ ? (/dev/video/ sync perms)

%changelog
* Sat Nov 22 2003 Michael Shigorin <mike@altlinux.ru> 0.9.12-alt1
- 0.9.12 (minor bugfixes)

* Mon Nov 17 2003 Michael Shigorin <mike@altlinux.ru> 0.9.11-alt2
- fixed icon installation (s/32x32/48x48/)

* Fri Nov 14 2003 Michael Shigorin <mike@altlinux.ru> 0.9.11-alt1
- 0.9.11
- /var/run stuff removed (FIFOs moved to /tmp for the moment)
- examples shifted into HTML docs; BUGS removed

* Thu Oct 09 2003 Alexander Belov <asbel@altlinux.ru> 0.9.10cvs20031009-alt1
- Make new package from cvs for testing my ru.po
- Removing kernel-headers-std >=2.4.22 BuildRequires for compile on my 
  computer with kernel-headers-std-smp-2.4.22-alt5

* Tue Sep 23 2003 Michael Shigorin <mike@altlinux.ru> 0.9.10-alt2
- further fixes/suggestions by Billy Biggs (were supposed for alt1
  but somehow missed on that):
  * Url
  * BuildRequires
  * menu entry
  * pixmap installation
  * freedesktop files and icons
  * /var/run/tvtime
- still need to package libdscaler separately; see also README.ALT
- spec cleanup

* Mon Sep 15 2003 Michael Shigorin <mike@altlinux.ru> 0.9.10-alt1
- 0.9.10
- implemented fixes/suggestions from tvtime author,
  Billy Biggs <vektor dumbterm.net>
- fixed typo in tvtime.control (s/netadmin/audio/g)

* Thu Sep 11 2003 Michael Shigorin <mike@altlinux.ru> 0.9.9-alt2
- built for Sisyphus
- based on package by Valery Inozemtsev <shrek@progroup.ru>
  (in its turn, based on one from Dag Apt Repository,
  http://dag.wieers.com/apt)
- spec cleanup
- control(8) support
- call %%update_menus/%%clean_menus

* Mon Sep 8 2003 Valery Inozemtsev <shrek@progroup.ru> - 0.9.9-alt1
- build for ALTLinux

* Wed Sep 03 2003 Dag Wieers <dag@wieers.com> - 0.9.9-0
- Updated to release 0.9.9.

* Sat Jun 21 2003 Dag Wieers <dag@wieers.com> - 0.9.8.5-0
- Initial package. (using DAR)
